Bug 510531 - ardour: updated request to version 2.8.1
ardour: updated request to version 2.8.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ardour (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
http://ardour.org/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 12:50 EDT by Fernando Lopez-Lezcano
Modified: 2009-07-23 15:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.8.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 15:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Lopez-Lezcano 2009-07-09 12:50:06 EDT
Description of problem:

Upgrade request (2.8.1 just released), it would be good if this is upgraded for fc10 and fc11:

Paul Davis wrote:

"Ardour 2.8. 1 is released. Although this is primarily a bug-fix
release, the bugs that it fixes are important enough that we hope all
users, especially those on OS X, will choose to upgrade. Crashes when
deleting AudioUnit plugins, and a very important potential data loss
issue with session cleanup are now fixed."

From the announcement:

FIXES

 CRASHING BUGS

 * fix crash when deleting AudioUnit plugins (Leopard/Cocoa GUI
   specific)
 * fix crash when closing a session after displaying 1 or more plugin
   GUIs

 DATA LOSS BUG

 * fix serious error in Cleanup that could lead to data loss

 OTHERS

 * fix AudioUnit input/output configuration cache handling for some
   plugins with "interesting" configurations.
 * switching into write automation mode doesn't reset gain levels
 * stop import dialog from resizing at various times
 * fix apparently-insensitive file selector in import dialog on OS X
 * fix details of file formats when exporting CD markers
 * fix marker bars, canvas and playhead getting out of sync with
   timeline
 * fixes for some newer versions of gcc (4.4)
 * don't bother to search for JACK server software if JACK is already
     running
 * catch JACK shutdown and handle more safely - should solve issues
     with trying to save after a JACK shutdown.
 * AudioUnit plugins can be turned off/bypassed and then turned back on
 * Session names that include '/' or '\' are caught and asked for again.
 * restore markers (including session start & end) and playhead
     correctly even if they had very large values (>12hrs)
Comment 1 Orcan Ogetbil 2009-07-09 13:23:46 EDT
I'll take care of it.
Comment 2 Fedora Update System 2009-07-09 20:42:54 EDT
ardour-2.8.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ardour-2.8.1-1.fc11
Comment 3 Fedora Update System 2009-07-09 20:43:41 EDT
ardour-2.8.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ardour-2.8.1-1.fc10
Comment 4 Fedora Update System 2009-07-16 02:53:47 EDT
ardour-2.8.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ardour'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7551
Comment 5 Fedora Update System 2009-07-16 02:55:07 EDT
ardour-2.8.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ardour'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7562
Comment 6 Fedora Update System 2009-07-23 15:00:56 EDT
ardour-2.8.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-23 15:07:17 EDT
ardour-2.8.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.